%{?nodejs_find_provides_and_requires}

%global packagename pbkdf2
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 3.0.8
Release: 1%{?dist}.3
Summary: This library provides the functionality of PBKDF2
License: MIT
URL: https://github.com/crypto-browserify/pbkdf2
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(create-hmac) >= 1.1.2
BuildRequires: npm(create-hmac) < 2.0.0
%if 0%{?enable_tests}
BuildRequires: npm(tape) >= 4.5.1
BuildRequires: npm(tape) < 5.0.0
%endif

%description
This library provides the functionality of PBKDF2 with the ability
to use any supported hashing algorithm returned from crypto.getHashes().


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tape test/*.js
%endif


%files
%license LICENSE
%doc *.md
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Sep 22 2016 Oleg Girko <ol@infoserver.lv> - 3.0.8-1
- Initial package.
